---@type vim.lsp.Config
return {
  settings = {
    Lua = {
      -- I'm using lua only inside neovim, so the runtime is LuaJIT.
      runtime = { version = "LuaJIT" },

      -- Get the language server to recognize the `vim` global.
      diagnostics = { globals = { "vim" } },

      -- Make the server aware of Neovim runtime files.
      workspace = {
        library = { vim.env.VIMRUNTIME },

        -- Alternatively, pull in all of 'runtimepath'.
        -- But see: https://github.com/neovim/nvim-lspconfig/issues/3189
        -- library = { vim.api.nvim_get_runtime_file("", true) }
      },

      -- Do not send telemetry data containing a randomized but unique identifier
      telemetry = { enable = false },
    },
  },
}
