local M = {}

M.setup = function()
  vim.filetype.add {
    -- 1. The file path/name is checked first.
    filename = {
      ["clang-format"] = "yaml",
      editorconfig = "editorconfig",
    },
    -- 2. Patterns are checked second.
    pattern = {
      ["${HOME}/.ssh/config.d/.*"] = "sshconfig",

      -- Files in my dotfiles repository.
      [".*/config/zsh/.*"] = "zsh",
      [".*/git/config"] = "gitconfig",
      [".*/ssh/config"] = "sshconfig",
    },
    -- 3. Finally, the extension is checked.
    extension = {
      gitconfig = "gitconfig",
    },
  }
end

return M
