return {
  "folke/todo-comments.nvim",

  dependencies = {
    "nvim-lua/plenary.nvim",
    "nvim-telescope/telescope.nvim",
  },

  event = { "BufReadPost", "BufNewFile" },

  keys = function()
    local helper = require("fschauen.plugins.telescope").keymap_helper
    local lhs, desc = helper.lhs, helper.description
    return {
      { lhs("t"), "<cmd>TodoTelescope<cr>", desc = desc("[t]odos") },
    }
  end,

  opts = function()
    local ui = require("fschauen.util.icons").ui
    return {
      keywords = {
        TODO = { icon = ui.Checkbox },
        FIX = { icon = ui.Bug },
        HACK = { icon = ui.Fire },
        WARN = { icon = ui.Warning },
        PERF = { icon = ui.Gauge },
        NOTE = { icon = ui.Note },
        TEST = { icon = ui.TestTube },
      },
      gui_style = { fg = "bold" },
      highlight = {
        multiline = false,
        keyword = "wide_fg",
        after = "",
      },
    }
  end,
}
