local ui = require("fschauen.util.icons").ui

return {
  "lukas-reineke/virt-column.nvim",

  event = { "BufReadPost", "BufNewFile" },

  keys = function()
    local enable_many = function() vim.o.colorcolumn = "+1,+21,+41" end

    local toggle_single = function()
      if vim.o.colorcolumn == "" then
        vim.o.colorcolumn = "+1"
      else
        vim.o.colorcolumn = ""
      end
    end

    return {
      { "<leader>sC", enable_many, desc = ui.Toggle .. " toggle virtual colunns" },
      { "<leader>sc", toggle_single, desc = ui.Toggle .. " toggle one colunn" },
    }
  end,

  opts = {
    char = { ui.LineMiddle, ui.LineMiddle, ui.LineMiddle },
    highlight = { "VirtColumn1", "VirtColumn2", "VirtColumn3" },
  },
}
