local M = {}

---Toggle 'number' and disable 'relativenumber'.
M.toggle_number = function()
  vim.wo.number = not vim.wo.number
  vim.wo.relativenumber = false
end

---Toggle 'relativenumber' and enable 'number' if disabled.
M.toggle_relativenumber = function()
  vim.wo.relativenumber = not vim.wo.relativenumber
  vim.wo.number = vim.wo.relativenumber or vim.wo.number
end

---Toggle 'list'.
M.toggle_list = function() vim.wo.list = not vim.wo.list end

---Toggle 'wrap'.
M.toggle_wrap = function() vim.wo.wrap = not vim.wo.wrap end

---Toggle 'spell'.
M.toggle_spell = function() vim.wo.spell = not vim.wo.spell end

---Set buffer options for git commits.
M.set_gitcommit_buffer_options = function()
  vim.bo.textwidth = 72
  vim.opt.formatoptions:append("t") -- wrap text on 'textwidth'
  vim.opt.spell = true -- turn on spell checking
end

return M
